DataLife Engine 13.0 Cross Site Scripting Vulnerability

2018-08-08
ID: 98817
CVE: None
Download vulnerable application: None
[+] Title: DataLife Engine Core Cross Site Scripting (XSS) & Execution Code
[+] Author: Mostafa Gharzi
[+] Team: Maher - CertCC.ir
[+] Vendor Homepage: www.dleviet.com
                                 www.dle-news.com
[+] Tested on: Windows 10 & Kali Linux
[+] Versions: 13.0 and Before
[+] Vulnerable Parameter: Post Method
[+] Vulnerable File: /index.php?do=addnews & /addnews.html
[+} Dork : inurl:/index.php?subaction=userinfo
 ### Notes:
 An attacker can use XSS (in addnews fields section from datalife engine
13.0 and Before)
to send a malicious script to an unsuspecting Admins or users. The end
admins or useras browser
has no way to know that the script should not be trusted, and will execute
the script. Because it thinks the script came from a trusted source, the
malicious script can access any cookies, session tokens, or other sensitive
information retained by the browser and used with that site. These scripts
can even rewrite the content of the HTML page.
 ### POC:
 [+] First, sign up through this path: http://localhost/index.php?do=register
[+] Once logged in, Go to this page: http://localhost/index.php?do=addnews
                                                     or
                                         http://localhost/addnews.html
[+] For example, put this code in the fields: <img src="Image link">
                                                              "><svg
onload=alert('CertCC')>
                                  "><br>text
[+] When the admin goes to validate your post, he will see your alert or
executable code.
[+] Therefore, the administrator and subsequent users are attacked by XSS.
 ### Demo PIC:
 [+] http://gucert.ir/dle.JPG
1-4-2 (www02)